Skip to main content
GET
List Orders

Authorizations

Authorization
string
header
required

A bearer token signed using your API Key Secret, see Creating API Keys section of our docs for more information. See Scope & Permissions for the permission each endpoint requires.

Query Parameters

order_ids
string[]

ID(s) of order(s).

product_ids
string[]

Optional canonical product ID(s) to filter by. For equities, use product_id rather than the display ticker. If omitted, orders for all products are returned.

product_type
enum<string>
default:UNKNOWN_PRODUCT_TYPE

Returns orders matching this product type. Use EQUITY for equity orders. By default, returns all product types.

Available options:
UNKNOWN_PRODUCT_TYPE,
SPOT,
FUTURE,
EQUITY,
OPTION_GROUP,
FUTURE_GROUP
order_status
enum<string>[]

Only returns orders matching the specified order statuses.

Available options:
PENDING,
OPEN,
FILLED,
CANCELLED,
EXPIRED,
FAILED,
UNKNOWN_ORDER_STATUS,
QUEUED,
CANCEL_QUEUED,
EDIT_QUEUED
time_in_forces
enum<string>[]

Only orders matching this time in force(s) are returned. Default is to return all time in forces.

Available options:
UNKNOWN_TIME_IN_FORCE,
GOOD_UNTIL_DATE_TIME,
GOOD_UNTIL_CANCELLED,
IMMEDIATE_OR_CANCEL,
FILL_OR_KILL
order_types
enum<string>[]

Only returns orders matching the specified order types (e.g. MARKET). By default, returns all order types.

Available options:
UNKNOWN_ORDER_TYPE,
MARKET,
LIMIT,
STOP,
STOP_LIMIT,
BRACKET,
TWAP,
ROLL_OPEN,
ROLL_CLOSE,
LIQUIDATION,
SCALED
order_side
enum<string>
default:""

Only returns the orders matching the specified side (e.g. 'BUY', 'SELL'). By default, returns all sides.

Available options:
BUY,
SELL
start_date
string<RFC3339 Timestamp>

The start date to fetch orders from (inclusive). If provided, only orders created after this date will be returned.

end_date
string<RFC3339 Timestamp>

The end date to fetch orders from (exclusive). If provided, only orders with creation time before this date will be returned.

order_placement_source
enum<string>
default:RETAIL_ADVANCED

Only returns the orders matching this placement source. By default, returns RETAIL_ADVANCED placement source.

Available options:
UNKNOWN_PLACEMENT_SOURCE,
RETAIL_SIMPLE,
RETAIL_ADVANCED,
RETAIL_ADMIN,
RETAIL_RAISE
contract_expiry_type
enum<string>
default:UNKNOWN_CONTRACT_EXPIRY_TYPE

Only returns the orders matching the contract expiry type. Only applicable if product_type is set to FUTURE.

Available options:
UNKNOWN_CONTRACT_EXPIRY_TYPE,
EXPIRING,
PERPETUAL
asset_filters
string[]

Only returns the orders where the quote, base or underlying asset matches the provided asset filter(s) (e.g. 'BTC').

retail_portfolio_id
string

(Deprecated) Only orders matching this retail portfolio id are returned. Only applicable for legacy keys. CDP keys will default to the key's permissioned portfolio.

limit
integer<int32>

The number of orders to display per page (no default amount). If has_next is true, additional pages of orders are available to be fetched. Use the cursor parameter to start on a specified page.

cursor
string

For paginated responses, returns all responses that come after this value.

sort_by
enum<string>
default:UNKNOWN_SORT_BY

Sort results by a field, results use unstable pagination. Default is to sort by creation time.

Available options:
UNKNOWN_SORT_BY,
LIMIT_PRICE,
LAST_FILL_TIME,
LAST_UPDATE_TIME
user_native_currency
string

(Deprecated) Native currency to fetch order with. Default is USD.

use_simplified_total_value_calculation
boolean
default:true

Optional boolean to use simplified total value calculation. Default is true.

proof_token
string

Optional proof token for 2FA validation when accessing transaction history (EU SCA compliance).

Response

A successful response.

orders
object[]
required

A list of orders matching the query.

has_next
boolean
required

Whether there are additional pages for this query.

Example:

true

sequence
string<int64>

(Deprecated) The sequence of the db at which this state was read.

cursor
string

For paginated responses, returns all responses that come after this value.

Example:

"789100"

proof_token_required
boolean

Indicates that a valid proof token is required to access this data (EU SCA compliance).

Example:

true